#
# spec file for package python-crispy-bootstrap4
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%{?sle15_python_module_pythons}
Name:           python-crispy-bootstrap4
Version:        2022.1
Release:        2.2
Summary:        Bootstrap4 template pack for django-crispy-forms
License:        MIT
URL:            https://github.com/django-crispy-forms/crispy-bootstrap4
Source:         https://github.com/django-crispy-forms/crispy-bootstrap4/archive/refs/tags/%{version}.tar.gz#/crispy-bootstrap4-%{version}.tar.gz
#PATCH-FIX-UPSTREAM https://github.com/django-crispy-forms/crispy-bootstrap4/commit/eb8e43359b6a9ad2ccadc68e29e54a439e5d321d Removed test depedant upon bootstrap3 template pack
Patch:          no-bs3.patch
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
# SECTION test requirements
BuildRequires:  %{python_module Django >= 3.2}
BuildRequires:  %{python_module django-crispy-forms >= 1.14.0}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module pytest-django}
# /SECTION
BuildRequires:  fdupes
Requires:       python-Django >= 3.2
Requires:       python-django-crispy-forms >= 1.14.0
BuildArch:      noarch
%python_subpackages

%description
Bootstrap4 template pack for django-crispy-forms

%prep
%autosetup -p1 -n crispy-bootstrap4-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export DJANGO_SETTINGS_MODULE=tests.test_settings
export PYTHONPATH=$PWD
%pytest

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/crispy_bootstrap4
%{python_sitelib}/crispy_bootstrap4-%{version}.dist-info

%changelog
* Fri Mar 22 2024 Max Lin <mlin@suse.com>
- Add %%{?sle15_python_module_pythons}
* Tue Jul 18 2023 Markéta Machová <mmachova@suse.com>
- Initial packaging (v2022.1), needed by django-crispy-forms v2
- Upstream is slow in releases: upstream patch no-bs3.patch
